Alerts
Show a monitor
GET /v1/monitors/{id} · SDK getMonitor · CLI deployments monitor show
GET
Requires monitors:read.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
id*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-organization*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$MonitorResponse
application/json- response
archivedAt?stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timecondition*||||||||createdAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeenvironmentId?stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$id*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$mutedUntil?stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timename*stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 120notify*organizationId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$projectId?stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$renotifyMinutes?integerRange
15 <= value <= 10080state*stringValue in
"firing""ok"status*stringValue in
"active""archived""muted"updatedAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeversion*number|||curl -X GET "https://example.com/v1/monitors/string" \ -H "x-deployments-organization: string"{ "archivedAt": "2019-08-24T14:15:22Z", "condition": { "agentDeploymentId": "string", "kind": "run-failures", "threshold": 1, "windowMinutes": 5 }, "createdAt": "2019-08-24T14:15:22Z", "environmentId": "string", "id": "string", "mutedUntil": "2019-08-24T14:15:22Z", "name": "string", "notify": { "emailPrincipalIds": [ "string" ], "emailRoles": [ "owner" ], "webhooks": true }, "organizationId": "string", "projectId": "string", "renotifyMinutes": 15, "state": "firing", "status": "active", "updatedAt": "2019-08-24T14:15:22Z", "version": 0}